List Flexible Webhooks
GET
Returns a paginated list of all active Flexible Webhook subscriptions for the specified chain and network.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
pageinteger
Page number to retrieve. Starts from 1.rppinteger
Number of results per page. Minimum 1, maximum 100. Defaults to 10.Responses
totalinteger
Total number of Webhook subscriptions matching the query conditions.pageinteger
Current page number.rppinteger
Number of results per page.List of Webhook subscriptions on the current page.
subscriptionIdstring
The unique ID that identifies this Flexible Webhook.projectIdstring
The ID of the project this Flexible Webhook belongs to.accountIdstring
The ID of the account that created this Flexible Webhook.namestring
The display name of the Flexible Webhook subscription.descriptionstring
An optional description of the Flexible Webhook subscription.chainstring
The name of the blockchain this Flexible Webhook is subscribed to.networkstring
The network of the blockchain this Flexible Webhook is subscribed to.streamIdstring
The unique ID of the on-chain data trackable via Flexible Webhook. You can look this up using the List Flexible Streams API.streamSlugstring
The slug identifying this Stream.filterExpressionstring
A CEL (Common Expression Language) expression used to filter events. Use the List Flexible Streams API to view the stream's schema.receiveFieldsarray
List of fields included in the Webhook payload. If not specified, all stream fields are received.deliveryChannelstring
The delivery channel for event data.destinationstring
The endpoint URL that receives events for this Flexible Webhook subscription.statusstring
The subscription status of this Flexible Webhook.createdAtstring
The date and time this Flexible Webhook subscription was created (ISO 8601 format).updatedAtstring
The date and time this Flexible Webhook subscription was last updated (ISO 8601 format).codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X GET 'https://web3.nodit.io/v1/avalanche/mainnet/flexible-webhooks' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'